Create a CSAT tool definition
curl --request POST \
--url https://clientapi.woku.app/v1/csat-tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Post-Purchase CSAT",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase",
"availableLocales": [
"es",
"en"
],
"defaultLocale": "es",
"localizedContent": [
{
"locale": "en",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase"
}
]
}
'import requests
url = "https://clientapi.woku.app/v1/csat-tools"
payload = {
"name": "Post-Purchase CSAT",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase",
"availableLocales": ["es", "en"],
"defaultLocale": "es",
"localizedContent": [
{
"locale": "en",
"question": "How satisfied are you with your purchase?",
"subject": "your purchase"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Post-Purchase CSAT',
question: 'How satisfied are you with your purchase?',
subject: 'your purchase',
availableLocales: ['es', 'en'],
defaultLocale: 'es',
localizedContent: [
{
locale: 'en',
question: 'How satisfied are you with your purchase?',
subject: 'your purchase'
}
]
})
};
fetch('https://clientapi.woku.app/v1/csat-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 400,
"message": [
"email must be a valid email",
"password must be at least 8 characters"
],
"error": "Bad Request"
}v1 - csat-tools
Create a CSAT tool definition
POST
/
v1
/
csat-tools
Create a CSAT tool definition
Authorizations
Company secret API key.
Headers
Client-generated key to make the create safe to retry. A retry with the same key returns the original result instead of creating again.
Body
application/json
Tool name for identification.
Maximum string length:
140Example:
"Post-Purchase CSAT"
Public CSAT question shown to respondents.
Required string length:
3 - 140Example:
"How satisfied are you with your purchase?"
Static variable filling 'how satisfied are you with [subject]?'.
Maximum string length:
140Example:
"your purchase"
Locales the tool is available in (subset of es/en).
Example:
["es", "en"]
Default locale used when none is requested.
Available options:
es, en Example:
"es"
Show child attributes
Show child attributes
Response
CSAT tool created